查询
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 在个人中心->我的数据,接口名称上方查看 | |
| isbn | 是 | string | 书籍的isbn码 |
请求代码示例:
curl -k -i "https://apis.juhe.cn/isbn/query?key=key&isbn=9787544258975"
<?php
/**
* 1772-查询 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://apis.juhe.cn/isbn/query"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'isbn'=> '9787544258975',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 1772-查询 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://apis.juhe.cn/isbn/query' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'isbn': '9787544258975',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://apis.juhe.cn/isbn/query"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("isbn", "9787544258975")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://apis.juhe.cn/isbn/query";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "isbn", "9787544258975");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://apis.juhe.cn/isbn/query'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
isbn: '9787544258975',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://apis.juhe.cn/isbn/query";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("isbn", "9787544258975");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://apis.juhe.cn/isbn/query"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"isbn": @"9787544258975",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| error_code | int | 返回码 | |
| reason | string | 返回说明 | |
| result | jsonObject | 返回结果集 | |
| orderid | string | 属result,聚合订单号 | |
| data | jsonObject | 属result,详情信息 | |
| series | string | 属data,丛书信息(不是丛书为空字符串) | |
| title | string | 属data,书名 | |
| author | string | 属data,作者(编者、译者)信息 | |
| publisher | string | 属data,出版社 | |
| pubDate | string | 属data,出版日期 | |
| pubPlace | string | 属data,出版地 | |
| isbn | string | 属data,13位isbn号 | |
| isbn10 | string | 属data,10位isbn号 | |
| price | string | 属data,定价 | |
| genus | string | 属data,中图分类号 | |
| levelNum | string | 属data,读者评分 | |
| heatNum | string | 属data,图书热度(即:购买或评论总人次) | |
| format | string | 属data,纸张开数 | |
| binding | string | 属data,装帧信息 | |
| page | string | 属data,页数 | |
| wordNum | string | 属data,字数 | |
| edition | string | 属data,版次 | |
| yinci | string | 属data,印次 | |
| paper | string | 属data,书籍纸张类型 | |
| language | string | 属data,语言 | |
| keyword | string | 属data,图书关键词 | |
| img | string | 属data,封面图片大图链接 | |
| smallImg | string | 属data,封面图片小图链接 | |
| bookCatalog | string | 属data,目录 | |
| gist | string | 属data,图书内容简介 | |
| cipTxt | string | 属data,cip信息 | |
| annotation | string | 属data,一般附注 | |
| subject | string | 属data,主题 | |
| batch | string | 属data,丛编信息 |
JSON返回示例:JSON在线格式化工具 >
{
"reason": "成功",
"result": {
"data": {
"series": "",/**丛书信息(不是丛书为空字符串) */
"title": "霍乱时期的爱情",/** */
"author": "[哥伦比亚]加西亚•马尔克斯",/** */
"publisher": "南海出版社",/** 出版社 */
"pubDate": "201209",/**出版日期 */
"pubPlace": "",/** 出版地*/
"isbn": "9787544258975",/**13位isbn号*/
"isbn10": "7544258971",/**10位isbn号*/
"price": "39.50",/**定价*/
"genus": "",/**中图分类号 */
"levelNum": "9.0",/**读者评分*/
"heatNum": "269890",/**图书热度(即:购买或评论总人次)*/
"format": "",/**纸张开数*/
"binding": "精装",/**装帧信息*/
"page": "41",/**页数*/
"wordNum": "",/**字数*/
"edition": "",/**版次*/
"yinci": "",/**印次*/
"paper": "",/**书籍纸张类型*/
"language": "",/**语言*/
"keyword": "|人到中年必须要看的书",/**图书关键词*/
"img": "https://img.maimiaobook.com/cover/Y4AKM6Q3G1.jpg?x-oss-process=style/yuantu",/**封面图片大图链接*/
"smallImg": "https://img.maimiaobook.com/cover/Y4AKM6Q3G1.jpg?x-oss-process=style/suolvetu",/**封面图片小图链接*/
"bookCatalog": "",/**目录*/
"gist": "马尔克斯唯一正式授权,首次完整翻译《霍乱时期的爱情》是我最好的作品,是我发自内心的创作。加西亚马尔克斯这部光芒闪耀、令人心碎的作品是人类有史以来最伟大的爱情小说。《纽约时报》《霍乱时期的爱情》是加西亚马尔克斯获得诺贝尔文学奖之后完成的第一部小说。讲述了一段跨越半个多世纪的爱情史诗,穷尽了所有爱情的可能性:忠贞的、隐秘的、粗暴的、羞怯的、柏拉图式的、放荡的、转瞬即逝的、生死相依的再现了时光的无情流逝,被誉为人类有史以来最伟大的爱情小说,是2世纪最重要的经典文学巨著之一。",/**图书内容简介 */
"cipTxt": "",/**cip信息*/
"annotation": "",/** 一般附注*/
"subject": "",/**主题*/
"batch": ""/**丛编信息*/
},
"orderid": "JH72620221207104255YaG"/** 单号*/
},
"error_code": 0
}
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 272601 | 数据源超时 | |
| 272602 | 没有找到相关书籍 | |
| 272603 | 参数异常 | |
| 272604 | 调用超限,请稍候再试 | |
| 272605 | 查询异常 | |
| 272606 | isbn不能为空 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号